Project

General

Profile

Bug #18076

ostree 'Depth' parameter support needed in runcible

Added by Partha Aji almost 5 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
Difficulty:
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

As of https://pulp.plan.io/issues/2205

With Pulp 2-11 and corresponding ostree package, one can now sync full version histories of upstreamn ostree repositories.

This is provided via the "Depth" import option.

Check out https://pulp.plan.io/issues/2205 for more info.

We need to add this parameter to runcible.


Related issues

Blocks Katello - Feature #17427: OSTree Sync pulls only the latest versionClosed2016-11-21
Copied to Runcible - Bug #18993: ostree 'Depth' parameter support For Distributor in runcibleClosed2017-01-14

Associated revisions

Revision 524638e4 (diff)
Added by Partha Aji over 4 years ago

Fixes #18076 - Can set OSTree repo depth

Enables one to set the importer depth value for the ostree repo.
look at http://projects.theforeman.org/issues/18076 for more info.

Revision f1014d9a
Added by Partha Aji over 4 years ago

Merge pull request #184 from parthaa/depth

Fixes #18076 - Can set OSTree repo depth

History

#1 Updated by Partha Aji almost 5 years ago

  • Blocks Feature #17427: OSTree Sync pulls only the latest version added

#2 Updated by Thomas McKay over 4 years ago

  • Target version changed from 154 to 161

#3 Updated by Partha Aji over 4 years ago

  • Pull request https://github.com/Katello/runcible/pull/184 added

#4 Updated by Partha Aji over 4 years ago

  • Copied to Bug #18993: ostree 'Depth' parameter support For Distributor in runcible added

#5 Updated by Partha Aji over 4 years ago

  • Status changed from New to Closed

Also available in: Atom PDF